Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362204 - Change DTS dockerfiles to match those used to build docker registry images
Summary: Change DTS dockerfiles to match those used to build docker registry images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Developer Toolset
Classification: Red Hat
Component: devtoolset-meta
Version: DTS 6.0 RHEL 7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: alpha
: 6.0
Assignee: Marek Polacek
QA Contact: Miloš Prchlík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 14:18 UTC by Marek Polacek
Modified: 2016-11-15 10:02 UTC (History)
6 users (show)

Fixed In Version: devtoolset-6-6.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-15 10:02:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2724 normal SHIPPED_LIVE new packages: devtoolset-6 2016-11-15 14:35:03 UTC

Description Marek Polacek 2016-08-01 14:18:42 UTC
Currently, in the devtoolset metapackage we ship several dockerfiles.  These include:
* devtoolset-4
* devtoolset-4-dyninst
* devtoolset-4-elfutils
* devtoolset-4-oprofile
* devtoolset-4-systemtap
* devtoolset-4-toolchain
* devtoolset-4-valgrind
These dockerfiles reside in rhscl-dockerfiles repository, and are generated using scripts that are kept in another repository, rhscl2dockerfile.

We also ship built docker images.  These are:
* devtoolset-4-toolchain-docker
* devtoolset-4-perftools-docker
They're built from dockerfiles kept in a different repository: <http://pkgs.devel.redhat.com/cgit/rpms/devtoolset-4-toolchain-docker>.

So we keep two sets of dockerfiles.  The first set, kept in rhscl-dockerfiles, is outdated, and I wonder how well (if at all) they are tested.  In general, the rhscl-dockerfiles repository seems to be unmaintained these days.  On the flip side, the dockerfiles for docker images are up to date and we regularly build images from them.  I'm of the mind that we should in the near future work on consolidating these dockerfiles.  What I suggest is to:
- drop elfutils, dyninst, valgrind, oprofile, systemtap dockerfiles from the meta package,
- only ship toolchain/perftools dockerfiles coming from the maintained repo,
- for devtoolset-4-*-docker images change nothing.

Generally, the docker images contain dockerfiles, but not the other needed source files.  As Honza Horak pointed out to me, we don't have a similar concept to SRPMs in the RPM world.  We should probably work on that, too, though that seems more like a long-term problem.

I'd like to get the green light for my proposed approach.

Comment 8 Miloš Prchlík 2016-10-14 07:10:37 UTC
Verified for build devtoolset-6-dockerfiles-6.0-6.el7 - only toolchain/perftools Dockerfiles are provided, no RHEL6 variant.

Comment 10 errata-xmlrpc 2016-11-15 10:02:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2724.html


Note You need to log in before you can comment on or make changes to this bug.